Gstin Advanced Verification
curl --request GET \
--url https://production.deepvue.tech/v1/verification/gstin-advanced \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/gstin-advanced"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/gstin-advanced', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/gstin-advanced",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/gstin-advanced"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/gstin-advanced")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/gstin-advanced")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1737862347191,
"transaction_id": "9f808ad40a1b49b6bb1839921248c37a",
"sub_code": "SUCCESS",
"message": "GSTIN Verified Successfully.",
"data": {
"contact_details": {
"principal": {
"address": "Belur Industrial Area, Works Office, Mummigatti Post, Pune Bangalore Road, Dharwad, Dharwad, Karnataka, 580011",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Factory / Manufacturing, Office / Sale Office, Recipient of Goods or Services, Service Provision, Wholesale Business, Retail Business"
},
"additional": [
{
"address": "BELUR INDUSTRIAL AREA, TMML, GARAG ROAD, MUMMIGATTI POSTT DHARWAD, Dharwad, Karnataka, 580011",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Others"
},
{
"address": "Kailash Vahan Udyog Limited Factory 21, Balagaranahalli Hosur main road, Attibele, Bengaluru Rural, Karnataka, 562107",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Others"
},
{
"address": "Warehouse, Survey No 331 and A/332, Marsur Village, Kasab Hobli, Anekal Taluk, Bengaluru Urban, Karnataka, 560081",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Others"
},
{
"address": "Plot No 317-P, 318-P, 319-P, Jigani-Bommasandra link Road, Jigani, Anekal Taluk, Bengaluru Urban, Karnataka, 562106",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Others"
},
{
"address": "Vehicle Maintenance Department, VRL Complex, 16KM Bangalore Road, NH4, Hubballi, Warur, Dharwad, Karnataka, 581207",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Warehouse / Depot"
},
{
"address": "Krishnapuram Jigani, Plot No 314 and 319, Tata Motors Ltd SPD CV, Anekal Taluk Jigani, Jigani-Bommasandra link Road, Sidlaghatta, Chikkaballapur, Karnataka, 562105",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Export, Recipient of Goods or Services, Warehouse / Depot, Office / Sale Office"
},
{
"address": "Mummigatti Post, Regional Sales Office, NH 4, Tata Motors Manufacturing Plant Dharwad, Belur Industrial Area, Belur Industrial Area, Dharwad, Karnataka, 580011",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Bonded Warehouse, Recipient of Goods or Services, Warehouse / Depot, Office / Sale Office, Export"
},
{
"address": "No 129/1B, IMAC India Coach Builders Pvt Ltd, Mysore Road, Kengeri, Bengaluru, Bengaluru Urban, Karnataka, 560060",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Others, Supplier of Services, Recipient of Goods or Services, Office / Sale Office"
},
{
"address": "2 and 3 Floor, # 648, Regional Area Office, 1st Main Road. Sector 6 HSR Layout, Bengaluru, Bengaluru Urban, Karnataka, 560102",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Office / Sale Office, Supplier of Services, Recipient of Goods or Services"
},
{
"address": "127, Tata Motors Limited -SATRAC ENGINEERING, SOMPURA INDUSTRIAL AREA, Nidavanda Village, Dobaspet Industrial Area, Bengaluru Rural, Karnataka, 562132",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Office / Sale Office, Others, Recipient of Goods or Services, Supplier of Services, Warehouse / Depot"
},
{
"address": "1A, 1st Floor, Roopena Agrahara., Fortune Summit,Sector 6 , under BBMP Ward No.174., 290/281/276/243/244, Hosur Road, Bommanahalli, Bengaluru, Bengaluru Urban, Karnataka, 560068",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Bonded Warehouse, Retail Business, Supplier of Services, Recipient of Goods or Services, Warehouse / Depot, Office / Sale Office"
},
{
"address": "Plot No. 176 C, SY No. 233 and 241, Anchemco India Pvt Ltd, Belur village, Dharwad Taluk, Garag Hobli, Belur Industrial Area, Dharwad, Dharwad, Karnataka, 580001",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Bonded Warehouse, Warehouse / Depot, Office / Sale Office, Others, Export, Supplier of Services, Recipient of Goods or Services"
}
]
},
"promoters": [
"Girish Arun Wagh ",
"Om Prakash Bhatt "
],
"annual_turnover": "Slab: Rs. 500 Cr. and above",
"annual_turnover_fy": "2023-2024",
"percentage_in_cash_fy": "2023-2024",
"percentage_in_cash": "Slab: 2 to 5%",
"aadhaar_validation": "Yes",
"aadhaar_validation_date": "2024-12-06",
"address_details": {},
"gstin": "29AAACT2727Q1ZS",
"pan_number": "AAACT2727Q",
"business_name": "TATA MOTORS LTD",
"legal_name": "TATA MOTORS LIMITED",
"center_jurisdiction": "State - CBIC,Zone - BENGALURU,Commissionerate - BELAGAVI,Division - DHARWAR DIVISION,Range - DHARWAD-B RANGE (Jurisdictional Office)",
"state_jurisdiction": "State - Karnataka,Division - DGSTO Dharwad, LOCAL GST Office - LGSTO 310 - Dharwad",
"date_of_registration": "2017-07-01",
"constitution_of_business": "Public Limited Company",
"taxpayer_type": "Regular",
"gstin_status": "Active",
"date_of_cancellation": "1800-01-01",
"field_visit_conducted": "No",
"nature_bus_activities": [
"Factory / Manufacturing",
"Office / Sale Office",
"Recipient of Goods or Services",
"Service Provision",
"Wholesale Business",
"Retail Business",
"Others",
"Warehouse / Depot",
"Export",
"Bonded Warehouse",
"Supplier of Services"
],
"nature_of_core_business_activity_code": "MFT",
"nature_of_core_business_activity_description": "Manufacturer",
"filing_status": [
[
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "December",
"date_of_filing": "2025-01-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "November",
"date_of_filing": "2024-12-10",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "October",
"date_of_filing": "2024-11-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "September",
"date_of_filing": "2024-10-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "August",
"date_of_filing": "2024-09-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "July",
"date_of_filing": "2024-08-09",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "June",
"date_of_filing": "2024-07-10",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "May",
"date_of_filing": "2024-06-10",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "April",
"date_of_filing": "2024-05-10",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2023-2024",
"tax_period": "March",
"date_of_filing": "2024-04-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "December",
"date_of_filing": "2025-01-22",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "November",
"date_of_filing": "2024-12-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "October",
"date_of_filing": "2024-11-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "September",
"date_of_filing": "2024-10-19",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "August",
"date_of_filing": "2024-09-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "July",
"date_of_filing": "2024-08-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "June",
"date_of_filing": "2024-07-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "May",
"date_of_filing": "2024-06-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "April",
"date_of_filing": "2024-05-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2023-2024",
"tax_period": "March",
"date_of_filing": "2024-04-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9",
"financial_year": "2023-2024",
"tax_period": "Annual",
"date_of_filing": "2024-12-26",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9",
"financial_year": "2022-2023",
"tax_period": "Annual",
"date_of_filing": "2023-12-22",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9",
"financial_year": "2021-2022",
"tax_period": "Annual",
"date_of_filing": "2022-12-19",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9",
"financial_year": "2020-2021",
"tax_period": "Annual",
"date_of_filing": "2021-11-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9",
"financial_year": "2019-2020",
"tax_period": "Annual",
"date_of_filing": "2021-02-24",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9",
"financial_year": "2018-2019",
"tax_period": "Annual",
"date_of_filing": "2020-09-21",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9",
"financial_year": "2017-2018",
"tax_period": "Annual",
"date_of_filing": "2019-09-26",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9C",
"financial_year": "2023-2024",
"tax_period": "Annual",
"date_of_filing": "2024-12-26",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9C",
"financial_year": "2022-2023",
"tax_period": "Annual",
"date_of_filing": "2023-12-23",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9C",
"financial_year": "2021-2022",
"tax_period": "Annual",
"date_of_filing": "2022-12-21",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9C",
"financial_year": "2020-2021",
"tax_period": "Annual",
"date_of_filing": "2021-11-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9C",
"financial_year": "2019-2020",
"tax_period": "Annual",
"date_of_filing": "2021-02-25",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9C",
"financial_year": "2018-2019",
"tax_period": "Annual",
"date_of_filing": "2020-09-24",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9C",
"financial_year": "2017-2018",
"tax_period": "Annual",
"date_of_filing": "2019-10-22",
"status": "Filed",
"mode_of_filing": "ONLINE"
}
]
],
"address": null,
"hsn_info": {},
"filing_frequency": []
}
}GST
GST Advanced
This API takes in the gstin of a business entity and provides you the information of the business entities as registered on the GST Portal.
Verifies basic GSTIN Details alongside advanced ones such as point of contact email & mobile, annual turnover and filing status and many more…
GET
/
v1
/
verification
/
gstin-advanced
Gstin Advanced Verification
curl --request GET \
--url https://production.deepvue.tech/v1/verification/gstin-advanced \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/gstin-advanced"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/gstin-advanced', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/gstin-advanced",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/gstin-advanced"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/gstin-advanced")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/gstin-advanced")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1737862347191,
"transaction_id": "9f808ad40a1b49b6bb1839921248c37a",
"sub_code": "SUCCESS",
"message": "GSTIN Verified Successfully.",
"data": {
"contact_details": {
"principal": {
"address": "Belur Industrial Area, Works Office, Mummigatti Post, Pune Bangalore Road, Dharwad, Dharwad, Karnataka, 580011",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Factory / Manufacturing, Office / Sale Office, Recipient of Goods or Services, Service Provision, Wholesale Business, Retail Business"
},
"additional": [
{
"address": "BELUR INDUSTRIAL AREA, TMML, GARAG ROAD, MUMMIGATTI POSTT DHARWAD, Dharwad, Karnataka, 580011",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Others"
},
{
"address": "Kailash Vahan Udyog Limited Factory 21, Balagaranahalli Hosur main road, Attibele, Bengaluru Rural, Karnataka, 562107",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Others"
},
{
"address": "Warehouse, Survey No 331 and A/332, Marsur Village, Kasab Hobli, Anekal Taluk, Bengaluru Urban, Karnataka, 560081",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Others"
},
{
"address": "Plot No 317-P, 318-P, 319-P, Jigani-Bommasandra link Road, Jigani, Anekal Taluk, Bengaluru Urban, Karnataka, 562106",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Others"
},
{
"address": "Vehicle Maintenance Department, VRL Complex, 16KM Bangalore Road, NH4, Hubballi, Warur, Dharwad, Karnataka, 581207",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Warehouse / Depot"
},
{
"address": "Krishnapuram Jigani, Plot No 314 and 319, Tata Motors Ltd SPD CV, Anekal Taluk Jigani, Jigani-Bommasandra link Road, Sidlaghatta, Chikkaballapur, Karnataka, 562105",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Export, Recipient of Goods or Services, Warehouse / Depot, Office / Sale Office"
},
{
"address": "Mummigatti Post, Regional Sales Office, NH 4, Tata Motors Manufacturing Plant Dharwad, Belur Industrial Area, Belur Industrial Area, Dharwad, Karnataka, 580011",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Bonded Warehouse, Recipient of Goods or Services, Warehouse / Depot, Office / Sale Office, Export"
},
{
"address": "No 129/1B, IMAC India Coach Builders Pvt Ltd, Mysore Road, Kengeri, Bengaluru, Bengaluru Urban, Karnataka, 560060",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Others, Supplier of Services, Recipient of Goods or Services, Office / Sale Office"
},
{
"address": "2 and 3 Floor, # 648, Regional Area Office, 1st Main Road. Sector 6 HSR Layout, Bengaluru, Bengaluru Urban, Karnataka, 560102",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Office / Sale Office, Supplier of Services, Recipient of Goods or Services"
},
{
"address": "127, Tata Motors Limited -SATRAC ENGINEERING, SOMPURA INDUSTRIAL AREA, Nidavanda Village, Dobaspet Industrial Area, Bengaluru Rural, Karnataka, 562132",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Office / Sale Office, Others, Recipient of Goods or Services, Supplier of Services, Warehouse / Depot"
},
{
"address": "1A, 1st Floor, Roopena Agrahara., Fortune Summit,Sector 6 , under BBMP Ward No.174., 290/281/276/243/244, Hosur Road, Bommanahalli, Bengaluru, Bengaluru Urban, Karnataka, 560068",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Bonded Warehouse, Retail Business, Supplier of Services, Recipient of Goods or Services, Warehouse / Depot, Office / Sale Office"
},
{
"address": "Plot No. 176 C, SY No. 233 and 241, Anchemco India Pvt Ltd, Belur village, Dharwad Taluk, Garag Hobli, Belur Industrial Area, Dharwad, Dharwad, Karnataka, 580001",
"email": "gst.south@tatamotors.com",
"mobile": "9130094259",
"nature_of_business": "Bonded Warehouse, Warehouse / Depot, Office / Sale Office, Others, Export, Supplier of Services, Recipient of Goods or Services"
}
]
},
"promoters": [
"Girish Arun Wagh ",
"Om Prakash Bhatt "
],
"annual_turnover": "Slab: Rs. 500 Cr. and above",
"annual_turnover_fy": "2023-2024",
"percentage_in_cash_fy": "2023-2024",
"percentage_in_cash": "Slab: 2 to 5%",
"aadhaar_validation": "Yes",
"aadhaar_validation_date": "2024-12-06",
"address_details": {},
"gstin": "29AAACT2727Q1ZS",
"pan_number": "AAACT2727Q",
"business_name": "TATA MOTORS LTD",
"legal_name": "TATA MOTORS LIMITED",
"center_jurisdiction": "State - CBIC,Zone - BENGALURU,Commissionerate - BELAGAVI,Division - DHARWAR DIVISION,Range - DHARWAD-B RANGE (Jurisdictional Office)",
"state_jurisdiction": "State - Karnataka,Division - DGSTO Dharwad, LOCAL GST Office - LGSTO 310 - Dharwad",
"date_of_registration": "2017-07-01",
"constitution_of_business": "Public Limited Company",
"taxpayer_type": "Regular",
"gstin_status": "Active",
"date_of_cancellation": "1800-01-01",
"field_visit_conducted": "No",
"nature_bus_activities": [
"Factory / Manufacturing",
"Office / Sale Office",
"Recipient of Goods or Services",
"Service Provision",
"Wholesale Business",
"Retail Business",
"Others",
"Warehouse / Depot",
"Export",
"Bonded Warehouse",
"Supplier of Services"
],
"nature_of_core_business_activity_code": "MFT",
"nature_of_core_business_activity_description": "Manufacturer",
"filing_status": [
[
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "December",
"date_of_filing": "2025-01-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "November",
"date_of_filing": "2024-12-10",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "October",
"date_of_filing": "2024-11-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "September",
"date_of_filing": "2024-10-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "August",
"date_of_filing": "2024-09-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "July",
"date_of_filing": "2024-08-09",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "June",
"date_of_filing": "2024-07-10",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "May",
"date_of_filing": "2024-06-10",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "April",
"date_of_filing": "2024-05-10",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2023-2024",
"tax_period": "March",
"date_of_filing": "2024-04-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "December",
"date_of_filing": "2025-01-22",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "November",
"date_of_filing": "2024-12-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "October",
"date_of_filing": "2024-11-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "September",
"date_of_filing": "2024-10-19",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "August",
"date_of_filing": "2024-09-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "July",
"date_of_filing": "2024-08-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "June",
"date_of_filing": "2024-07-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "May",
"date_of_filing": "2024-06-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2024-2025",
"tax_period": "April",
"date_of_filing": "2024-05-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2023-2024",
"tax_period": "March",
"date_of_filing": "2024-04-20",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9",
"financial_year": "2023-2024",
"tax_period": "Annual",
"date_of_filing": "2024-12-26",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9",
"financial_year": "2022-2023",
"tax_period": "Annual",
"date_of_filing": "2023-12-22",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9",
"financial_year": "2021-2022",
"tax_period": "Annual",
"date_of_filing": "2022-12-19",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9",
"financial_year": "2020-2021",
"tax_period": "Annual",
"date_of_filing": "2021-11-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9",
"financial_year": "2019-2020",
"tax_period": "Annual",
"date_of_filing": "2021-02-24",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9",
"financial_year": "2018-2019",
"tax_period": "Annual",
"date_of_filing": "2020-09-21",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9",
"financial_year": "2017-2018",
"tax_period": "Annual",
"date_of_filing": "2019-09-26",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9C",
"financial_year": "2023-2024",
"tax_period": "Annual",
"date_of_filing": "2024-12-26",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9C",
"financial_year": "2022-2023",
"tax_period": "Annual",
"date_of_filing": "2023-12-23",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9C",
"financial_year": "2021-2022",
"tax_period": "Annual",
"date_of_filing": "2022-12-21",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9C",
"financial_year": "2020-2021",
"tax_period": "Annual",
"date_of_filing": "2021-11-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9C",
"financial_year": "2019-2020",
"tax_period": "Annual",
"date_of_filing": "2021-02-25",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9C",
"financial_year": "2018-2019",
"tax_period": "Annual",
"date_of_filing": "2020-09-24",
"status": "Filed",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR9C",
"financial_year": "2017-2018",
"tax_period": "Annual",
"date_of_filing": "2019-10-22",
"status": "Filed",
"mode_of_filing": "ONLINE"
}
]
],
"address": null,
"hsn_info": {},
"filing_frequency": []
}
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
This query parameter is used to provide the GST Identification Number for advanced GSTIN verification.